#include <string.h>

int wordpos(char *words, char *myword)

/* Scan words list for myword and return that position. */

{ static char     kws[] = "@(#)wordpos.c	1.1 ARGOS 93/12/13 17:37:20";

    static char     aword[100];

    int             count = 0;
    int             length;

    aword[0] = '\0';

/* Return zero if given null or empty string,
   or fail to find myword among words. */

    while (words && *words) {

/* Skip leading blank spaces or tabs. */

	while (*words == ' ' || *words == '\t')
	    words++;

	length = 0;
	while ((*words) && (*words != ' ') && (*words != '\t')) {
	    aword[length] = *words;
	    words++;
	    length++;
	}
	aword[length] = '\0';

	if (length) {
	    count++;

/* Must return one for first/initial word,
   so that zero can mean not-found. */

	    if (!strcasecmp(aword, myword))
		return count;
	}
    }
    return 0;
}
